Name:           pyscard
Version:        1.6.16
Release:        2%{?dist}
Summary:        A framework for building smart card aware applications in Python

Group:          Development/Libraries

# The entire source code is LGPLv2+ except for ClassLoader.py (Python),
# and Synchronization.py, Observer.py (CC-BY-SA 3.0), according to
# http://sourceforge.net/p/pyscard/code/619/

License:        LGPLv2+ and Python and CC-BY-SA
URL:            http://ludovicrousseau.blogspot.cz/2014/07/pyscard-unofficial-version-1616.html
Source0:        http://ludovic.rousseau.free.fr/softwares/pcsc-lite/%{name}-%{version}.tar.gz

BuildRequires:  python2-devel
BuildRequires:  pcsc-lite-devel
BuildRequires:  swig >= 1.3.31
Requires:       pcsc-lite

%description
The pyscard smartcard library is a framework for building smart card aware 
applications in Python. The smartcard module is built on top of the PCSC API 
Python wrapper module.

%prep
%setup -q
# license file is CRLF terminated -- prevent a rpmlint warning
sed -i 's/\r//' LICENSE

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
chmod 755 %{buildroot}%{python_sitearch}/smartcard/scard/_scard.so

%files
%license LICENSE
%doc README
%doc smartcard/doc/*
%{python_sitearch}/smartcard/
%{python_sitearch}/%{name}-%{version}-py*.egg-info 

%changelog
* Fri Aug 08 2014 Nikos Mavrogiannopoulos <nmav@redhat.com> 1.6.16-2
- Clarified licenses.

* Fri Aug 01 2014 Nikos Mavrogiannopoulos <nmav@redhat.com> 1.6.16-1
- New (unofficial) release.

* Fri Jan 21 2011 Andrew Elwell <andrew.elwell@gmail.com> 1.6.12-4
- Rebuilt to address comments in package review (bug #663102)

* Fri Jan 14 2011 Andrew Elwell <andrew.elwell@gmail.com> 1.6.12-3
- Added missing BuildRequres on swig.

* Thu Dec 16 2010 Andrew Elwell <andrew.elwell@gmail.com> 1.6.12-2
- Corrected CFLAGS in build.

* Tue Dec 14 2010 Andrew Elwell <andrew.elwell@gmail.com> 1.6.12-1
- Initial package of 1.6.12 from upstream.
